Click here to view and discuss this page in DocCommentXchange. In the future, you will be sent there automatically.

SQL Anywhere 11.0.1 » SQL Anywhere 11 - Changes and Upgrading » Upgrading to SQL Anywhere 11


Upgrading MobiLink

Compatibility with existing software
  • New MobiLink clients are incompatible with versions of the MobiLink server before 11.0.0.

  • The version 11 MobiLink server can be used with clients that are version 8, 9, 10, or 11. To use version 10 or 11 clients, start the MobiLink server with the -x option. To use version 8 or 9 clients, start the MobiLink server with the -xo option. If you need to support earlier clients, you should keep an earlier version of the MobiLink server to support them.

  • Confirm that none of the documented behavior changes affect your application. If they do, you must update your application. See SQL Anywhere 11 - Changes and Upgrading.

Upgrade order

If you are upgrading an existing MobiLink installation, you must upgrade the components in the following order:

  1. Shut down the MobiLink servers.

  2. Upgrade the consolidated database.

    See Upgrading your consolidated database.

  3. Upgrade the MobiLink servers.

    See Upgrading the MobiLink server.

  4. Start the MobiLink servers.

  5. Upgrade the MobiLink clients.

    If the MobiLink clients are version 8 or later, the client upgrades can be staged or made gradually.

    For information about SQL Anywhere remote databases, see Upgrading SQL Anywhere MobiLink clients. For information about UltraLite applications, see Porting version 9 and earlier UltraLite application code to version 11.0.0.

Before upgrading, check for behavior changes that may affect you and take standard upgrade precautions.

For more information, see:

Upgrading your consolidated database
Upgrading the MobiLink server
Upgrading SQL Anywhere MobiLink clients